package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouDirectionalPackage;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 自动投放-定向包详情
 *
 * @author: jeecg-boot
 * @date: 2021-04-20
 * @cersion: V1.0
 */
public interface KuaishouDirectionalPackageMapper extends BaseMapper<KuaishouDirectionalPackage> {

    KuaishouDirectionalPackage queryEntity(JSONObject requestJson);

    List<JSONObject> queryList(KuaishouDirectionalPackage directionalPackage);

    Long queryListTotal(KuaishouDirectionalPackage directionalPackage);

    List<JSONObject> getRelatedAccount(@Param("id") String id);

    List getRelatedGroup(@Param("id") String id, @Param("accountId") Long accountId);

    List<KuaishouDirectionalPackage> queryListByProjectId(@Param("projectId") Long projectId, @Param("templateName") String templateName);

    List<KuaishouDirectionalPackage> getProjectTargetByIds(@Param("ids") List<String> ids);
}
